VSTGUI: DispatchList< T > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DispatchList< T > Class Template Reference

`#include <dispatchlist.h>`

## Public Member Functions
| DispatchList ()=default
| ~DispatchList () noexcept
void | add (const T &obj)
void | add (T &&obj)
void | remove (const T &obj)
void | remove (T &&obj)
bool | empty () const
template<typename Procedure>
void | forEach (Procedure proc)
template<typename Procedure, typename Condition>
void | forEach (Procedure proc, Condition condition)
template<typename Procedure>
void | forEachReverse (Procedure proc)
template<typename Procedure, typename Condition>
void | forEachReverse (Procedure proc, Condition condition)

## Constructor & Destructor Documentation

## ◆ DispatchList()

template<typename T>

DispatchList | ( |  | ) |
| default

## ◆ ~DispatchList()

template<typename T>

~DispatchList | ( |  | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ add() [1/2]

template<typename T>

void add | ( | const T & | obj | ) |
| inline

## ◆ add() [2/2]

template<typename T>

void add | ( | T && | obj | ) |
| inline

## ◆ empty()

template<typename T>

bool empty | ( |  | ) | const
| inline

## ◆ forEach() [1/2]

template<typename T>
template<typename Procedure>

void forEach | ( | Procedure | proc | ) |
| inline

## ◆ forEach() [2/2]

template<typename T>
template<typename Procedure, typename Condition>

void forEach | ( | Procedure | proc,
|  | Condition | condition )
| inline

## ◆ forEachReverse() [1/2]

template<typename T>
template<typename Procedure>

void forEachReverse | ( | Procedure | proc | ) |
| inline

## ◆ forEachReverse() [2/2]

template<typename T>
template<typename Procedure, typename Condition>

void forEachReverse | ( | Procedure | proc,
|  | Condition | condition )
| inline

## ◆ remove() [1/2]

template<typename T>

void remove | ( | const T & | obj | ) |
| inline

## ◆ remove() [2/2]

template<typename T>

void remove | ( | T && | obj | ) |
| inline

The documentation for this class was generated from the following file:

- dispatchlist.h